

<?php $__env->startSection('content'); ?>
	<h5 class="mb-4 fw-light">
    <a class="text-reset" href="<?php echo e(url('panel/admin'), false); ?>"><?php echo e(__('admin.dashboard'), false); ?></a>
      <i class="bi-chevron-right me-1 fs-6"></i>
      <span class="text-muted"><?php echo e(__('admin.members'), false); ?> (<?php echo e($data->total(), false); ?>)</span>
  </h5>

<div class="content">
	<div class="row">

		<div class="col-lg-12">

      <?php if(session('info_message')): ?>
      <div class="alert alert-warning alert-dismissible fade show" role="alert">
              <i class="bi-exclamation-triangle me-1"></i>	<?php echo e(session('info_message'), false); ?>


                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                  <i class="bi bi-x-lg"></i>
                </button>
                </div>
              <?php endif; ?>

			<?php if(session('success_message')): ?>
      <div class="alert alert-success alert-dismissible fade show" role="alert">
              <i class="bi bi-check2 me-1"></i>	<?php echo e(session('success_message'), false); ?>


                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                  <i class="bi bi-x-lg"></i>
                </button>
                </div>
              <?php endif; ?>

			<div class="card shadow-custom border-0">
				<div class="card-body p-lg-4">

          <div class="d-inline-block mb-2 w-100">

          <?php if($data->count() != 0): ?>
            <!-- form -->
            <form role="search" autocomplete="off" action="<?php echo e(url('panel/admin/members'), false); ?>" method="get" class="position-relative">
							<i class="bi bi-search btn-search bar-search"></i>
             <input type="text" name="q" class="form-control ps-5" placeholder="<?php echo e(__('misc.search'), false); ?>">
          </form><!-- form -->
            <?php endif; ?>
          </div>

					<div class="table-responsive p-0">
						<table class="table table-hover">
						 <tbody>

               <?php if($data->total() !=  0 && $data->count() != 0): ?>
                  <tr>
                     <th class="active">ID</th>
                     <th class="active"><?php echo e(trans('auth.username'), false); ?></th>
                     <th class="active"><?php echo e(trans_choice('misc.images_plural', 0), false); ?></th>
                     <th class="active"><?php echo e(trans('misc.balance'), false); ?></th>
                     <th class="active"><?php echo e(trans('misc.funds'), false); ?></th>
                     <th class="active"><?php echo e(trans('admin.date'), false); ?></th>
                     <th class="active">IP</th>
                     <th class="active"><?php echo e(trans('admin.role'), false); ?></th>
                     <th class="active"><?php echo e(trans('admin.status'), false); ?></th>
                     <th class="active"><?php echo e(trans('admin.actions'), false); ?></th>
                   </tr>

                 <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                   <tr>
                     <td><?php echo e($user->id, false); ?></td>
                     <td>
                       <a href="<?php echo e(url($user->username), false); ?>" target="_blank">
                         <img src="<?php echo e(Storage::url(config('path.avatar').$user->avatar), false); ?>" width="40" height="40" class="rounded-circle me-1" /> <?php echo e($user->username, false); ?>

                       </a>
                     </td>
                     <td><?php echo e($user->images()->count(), false); ?></td>
                     <td><?php echo e(Helper::amountFormatDecimal($user->balance), false); ?></td>
                     <td><?php echo e(Helper::amountFormatDecimal($user->funds), false); ?></td>
                     <td><?php echo e(Helper::formatDate($user->date), false); ?></td>
                     <td><?php echo e($user->ip ? $user->ip : trans('misc.not_available'), false); ?></td>                     
                     <td>
                      <?php $__currentLoopData = RolesAndPermissions::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                      <?php if($user->role == $role->id): ?>
                        <span class="badge bg-success"><?php echo e($role->name, false); ?></span>
                      <?php endif; ?>

                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                     
                     <?php if($user->role == '0'): ?>
                     <span class="badge bg-secondary"><?php echo e(trans('admin.normal'), false); ?></span>
                     <?php endif; ?>
                     </td>

                    <?php if ($user->status == 'pending') {
                  $mode    = 'info';
                 $_status = trans('admin.pending');
                           } elseif ($user->status == 'active') {
                  $mode = 'success';
                 $_status = trans('admin.active');
                           } else {
                 $mode = 'warning';
                 $_status = trans('admin.suspended');
                         }
                       ?>

                     <td><span class="badge bg-<?php echo e($mode, false); ?>"><?php echo e($_status, false); ?></span></td>
                     <td>



                    <?php if($user->id <> auth()->user()->id && $user->id <> 1): ?>

                  <a href="<?php echo e(url('panel/admin/members/edit', $user->id), false); ?>" class="text-reset fs-5 me-2">
                         <i class="far fa-edit"></i>
                       </a>

                <form action="<?php echo e(route('user.destroy', $user->id), false); ?>" method="POST" id="form<?php echo e($user->id, false); ?>" class="d-inline-block align-top">
                  <?php echo csrf_field(); ?>
                  <button type="button" data-url="<?php echo e($user->id, false); ?>" class="btn btn-link text-danger e-none fs-5 p-0 actionDelete">
                      <i class="bi-trash-fill"></i>
                  </button>
              </form>

        <?php else: ?>
         ------------
                         <?php endif; ?>
                       </td>

                   </tr><!-- /.TR -->
                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

									<?php else: ?>
										<h5 class="text-center p-5 text-muted fw-light m-0"><?php echo e(trans('misc.no_results_found'), false); ?>


                      <?php if(isset($query)): ?>
                        <div class="d-block w-100 mt-2">
                          <a href="<?php echo e(url('panel/admin/members'), false); ?>"><i class="bi-arrow-left me-1"></i> <?php echo e(trans('auth.back'), false); ?></a>
                        </div>
                      <?php endif; ?>
                    </h5>
									<?php endif; ?>

								</tbody>
								</table>
							</div><!-- /.box-body -->

				 </div><!-- card-body -->
 			</div><!-- card  -->

			<?php echo e($data->appends(['q' => $query])->onEachSide(0)->links(), false); ?>

 		</div><!-- col-lg-12 -->

	</div><!-- end row -->
</div><!-- end content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/admin/members.blade.php ENDPATH**/ ?>