<!-- Bootstrap core CSS -->
<link href="<?php echo e(asset('public/css/core.min.css'), false); ?>?v=<?php echo e($settings->version, false); ?>" rel="stylesheet">
<link href="<?php echo e(asset('public/css/bootstrap.min.css'), false); ?>?v=<?php echo e($settings->version, false); ?>" rel="stylesheet">
<link href="<?php echo e(asset('public/css/bootstrap-icons.css'), false); ?>?v=<?php echo e($settings->version, false); ?>" rel="stylesheet">
<link href="<?php echo e(asset('public/js/fleximages/jquery.flex-images.css'), false); ?>" rel="stylesheet">
<link href="<?php echo e(asset('public/css/styles.css'), false); ?>?v=<?php echo e($settings->version, false); ?>" rel="stylesheet">

<?php if(auth()->guard()->check()): ?>
<?php if($settings->push_notification_status): ?>
<script src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async=""></script>
<script>
  const myDeviceKeysId = <?php echo json_encode(auth()->user()->oneSignalDevices->pluck('player_id')->all()); ?>;

  var OneSignal = window.OneSignal || [];
    var initConfig = {
      appId: "<?php echo e($settings->onesignal_appid, false); ?>",
      autoResubscribe: true,
      safari_web_id: "web.onesignal.auto.0c986762-0fae-40b1-a5f6-ee95f7275a97",
      notifyButton: {
        enable: false,
      },
      welcomeNotification: {
        message: "<?php echo e(__('misc.notifications_activated_successfully'), false); ?>"
      },
      persistNotification: true,

      promptOptions: {
      slidedown: {
        prompts: [
          {
            type: "push", // current types are "push" & "category"
            autoPrompt: true,
            text: {
              /* limited to 90 characters */
              actionMessage: "<?php echo e(__('misc.push_notification_title', ['app' => $settings->title]), false); ?>",
              /* acceptButton limited to 15 characters */
              acceptButton: "<?php echo e(__('misc.activate'), false); ?>",
              /* cancelButton limited to 15 characters */
              cancelButton: "<?php echo e(__('misc.maybe_later'), false); ?>"
            },
            delay: {
              pageViews: 1,
              timeDelay: 20
            }
          }
        ]
      }
    }
    // END promptOptions,
    };
 

  OneSignal.push(function () {
        OneSignal.SERVICE_WORKER_PARAM = { scope: '/public/js/' };
        OneSignal.SERVICE_WORKER_PATH = 'public/js/OneSignalSDKWorker.js'
        OneSignal.SERVICE_WORKER_UPDATER_PATH = 'public/js/OneSignalSDKWorker.js'
        OneSignal.init(initConfig);

        OneSignal.showSlidedownPrompt();
    });

  OneSignal.push(function() {

    // Get User Id
    OneSignal.getUserId(function(userId) {
      pushUserId = userId;

      if (pushUserId !== null) {
        var isRegisterDevice = $.inArray(pushUserId, myDeviceKeysId);
        if (isRegisterDevice === -1) {
          $.post("<?php echo e(url('api/device/register'), false); ?>", {player_id: pushUserId, user_id: <?php echo e(auth()->id(), false); ?> });
        }
      }
    });

    OneSignal.isPushNotificationsEnabled(function(isEnabled) {
    if (isEnabled)
      console.log("Push notifications are enabled!");
    else
      console.log("Push notifications are not enabled yet.");
  });
    
  // Subscription Change
	OneSignal.on("subscriptionChange", 
  function(isSubscribed) {

    OneSignal.push(function() {
        OneSignal.getUserId(function(userId) {
          pushUserId = userId;

        if (isSubscribed == false) {
        $.get("<?php echo e(url('api/device/delete'), false); ?>", {player_id: pushUserId});
      } else {
            $.post("<?php echo e(url('api/device/register'), false); ?>", {player_id: pushUserId, user_id: <?php echo e(auth()->id(), false); ?> });
          }});

        });
      });
});
</script>
<?php endif; ?>

<?php endif; ?>

<script type="text/javascript">
var URL_BASE = "<?php echo e(url('/'), false); ?>";
var lang = '<?php echo e(session('locale'), false); ?>';
var _title = '<?php $__env->startSection("title"); ?><?php echo $__env->yieldSection(); ?> <?php echo e(Helper::titleSite(), false); ?>';
var session_status = "<?php echo e(auth()->check() ? 'on' : 'off', false); ?>";
var colorStripe = '#000000';
var copiedSuccess = "<?php echo e(__('misc.copied_success'), false); ?>";
var error = "<?php echo e(__('misc.error'), false); ?>";
var error_oops = "<?php echo e(__('misc.error_oops'), false); ?>";
var resending_code = "<?php echo e(__('misc.resending_code'), false); ?>";
var isProfile = <?php echo e(request()->route()->named('profile') ? 'true' : 'false', false); ?>;
var download = '<?php echo e(__('misc.download'), false); ?>';
var downloading = '<?php echo e(__('misc.downloading'), false); ?>';
var announcement_cookie = "<?php echo e($settings->announcement_cookie, false); ?>";
var ok = "<?php echo e(__('misc.ok'), false); ?>";
var darkMode = "<?php echo e(__('misc.dark_mode'), false); ?>";
var lightMode = "<?php echo e(__('misc.light_mode'), false); ?>";

<?php if(auth()->guard()->check()): ?>
var stripeKey = "<?php echo e(PaymentGateways::where('id', 2)->where('enabled', '1')->first() ? env('STRIPE_KEY') : false, false); ?>";
var delete_confirm = "<?php echo e(__('misc.delete_confirm'), false); ?>";
var confirm_delete = "<?php echo e(__('misc.yes'), false); ?>";
var cancel_confirm = "<?php echo e(__('misc.no'), false); ?>";
var your_subscribed = "<?php echo e(__('misc.your_subscribed'), false); ?>";
var formats_available = "<?php echo e(__('misc.formats_available'), false); ?>";
var max_size_upload = "<?php echo e(__('misc.max_size_upload').' '.Helper::formatBytes(1048576), false); ?>";
var thanks = "<?php echo e(__('misc.thanks'), false); ?>";
<?php endif; ?>
</script>

<style type="text/css">

<?php if($settings->custom_css): ?>
  <?php echo $settings->custom_css; ?>

<?php endif; ?>

.home-cover { background-image: url('<?php echo e(url('public/img', $settings->image_header), false); ?>') }
:root {
  --color-default: <?php echo e($settings->color_default, false); ?> !important;
  --bg-auth: url('<?php echo e(url('public/img', $settings->image_header), false); ?>');
}
</style>
<?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/includes/css_general.blade.php ENDPATH**/ ?>