

<?php $__env->startSection('content'); ?>
	<h5 class="mb-4 fw-light">
    <a class="text-reset" href="<?php echo e(url('panel/admin'), false); ?>"><?php echo e(__('admin.dashboard'), false); ?></a>
      <i class="bi-chevron-right me-1 fs-6"></i>
      <span class="text-muted"><?php echo e(__('admin.theme'), false); ?></span>
  </h5>

<div class="content">
	<div class="row">

		<div class="col-lg-12">

			<?php if(session('success_message')): ?>
      <div class="alert alert-success alert-dismissible fade show" role="alert">
              <i class="bi bi-check2 me-1"></i>	<?php echo e(session('success_message'), false); ?>


                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                  <i class="bi bi-x-lg"></i>
                </button>
                </div>
              <?php endif; ?>

              <?php echo $__env->make('errors.errors-forms', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

			<div class="card shadow-custom border-0">
				<div class="card-body p-lg-5">

					 <form method="post" action="<?php echo e(url('panel/admin/theme')); ?>" enctype="multipart/form-data">
             <?php echo csrf_field(); ?>

		        <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Logo dark</label>
		          <div class="col-lg-5 col-sm-10">
                <div class="d-block mb-2">
                  <img src="<?php echo e(url('/public/img', $settings->logo), false); ?>" style="width:150px">
                </div>

                <div class="input-group mb-1">
                  <input name="logo" type="file" class="form-control custom-file rounded-pill">
                </div>
                <small class="d-block"><?php echo e(__('misc.recommended_size'), false); ?> 400x400 px (PNG)</small>
		          </div>
		        </div>

            <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Logo light</label>
		          <div class="col-lg-5 col-sm-10">
                <div class="d-block mb-2">
                  <img src="<?php echo e(url('/public/img', $settings->logo_light), false); ?>" class="bg-secondary" style="width:150px">
                </div>

                <div class="input-group mb-1">
                  <input name="logo_light" type="file" class="form-control custom-file rounded-pill">
                </div>
                <small class="d-block"><?php echo e(__('misc.recommended_size'), false); ?> 400x400 px (PNG)</small>
		          </div>
		        </div>

            <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Favicon</label>
		          <div class="col-lg-5 col-sm-10">
                <div class="d-block mb-2">
                  <img src="<?php echo e(url('/public/img', $settings->favicon), false); ?>">
                </div>

                <div class="input-group mb-1">
                  <input name="favicon" type="file" class="form-control custom-file rounded-pill">
                </div>
                <small class="d-block"><?php echo e(__('misc.recommended_size'), false); ?> 48x48 px (PNG)</small>
		          </div>
		        </div>

            <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end"><?php echo e(__('misc.index_image_top'), false); ?></label>
		          <div class="col-lg-5 col-sm-10">
                <div class="d-block mb-2">
                  <img src="<?php echo e(url('/public/img', $settings->image_header), false); ?>" style="width:200px">
                </div>

                <div class="input-group mb-1">
                  <input name="image_header" type="file" class="form-control custom-file rounded-pill">
                </div>
                <small class="d-block"><?php echo e(__('misc.recommended_size'), false); ?> 1280x850 px (JPG)</small>
		          </div>
		        </div>

            <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Image index section</label>
		          <div class="col-lg-5 col-sm-10">
                <div class="d-block mb-2">
                  <img src="<?php echo e(url('/public/img', $settings->img_section), false); ?>" style="width:200px">
                </div>

                <div class="input-group mb-1">
                  <input name="img_section" type="file" class="form-control custom-file rounded-pill">
                </div>
                <small class="d-block"><?php echo e(__('misc.recommended_size'), false); ?> 800x600 px (JPG, PNG)</small>
		          </div>
		        </div>

            <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Watermark</label>
		          <div class="col-lg-5 col-sm-10">
                <div class="d-block mb-2">
                  <img src="<?php echo e(url('/public/img', $settings->watermark), false); ?>" class="bg-secondary" style="width:300px">
                </div>

                <div class="input-group mb-1">
                  <input name="watermark" type="file" class="form-control custom-file rounded-pill">
                </div>
                <small class="d-block"><?php echo e(__('misc.recommended_size'), false); ?> 700px (PNG)</small>
								<small class="d-block fst-italic">* <?php echo e(__('misc.clean_cache_browser'), false); ?></small>
		          </div>
		        </div>

            <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Avatar default</label>
		          <div class="col-lg-5 col-sm-10">
                <div class="d-block mb-2">
                  <img src="<?php echo e(Storage::url(config('path.avatar').$settings->avatar), false); ?>" style="width:180px">
                </div>

                <div class="input-group mb-1">
                  <input name="avatar" type="file" class="form-control custom-file rounded-pill">
                </div>
                <small class="d-block"><?php echo e(__('misc.recommended_size'), false); ?> 250x250 px (JPG)</small>
		          </div>
		        </div>

            <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Cover User</label>
		          <div class="col-lg-5 col-sm-10">
                <div class="d-block mb-2">
                  <img src="<?php echo e(Storage::url(config('path.cover').$settings->cover), false); ?>" style="width:200px">
                </div>

                <div class="input-group mb-1">
                  <input name="cover" type="file" class="form-control custom-file rounded-pill">
                </div>
                <small class="d-block"><?php echo e(__('misc.recommended_size'), false); ?> 1280x850 px (JPG)</small>
		          </div>
		        </div>

            <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Image default in categories</label>
		          <div class="col-lg-5 col-sm-10">
                <div class="d-block mb-2">
                  <img src="<?php echo e(url('public/img-category', $settings->img_category), false); ?>" style="width:250px">
                </div>

                <div class="input-group mb-1">
                  <input name="img_category" type="file" class="form-control custom-file rounded-pill">
                </div>
                <small class="d-block"><?php echo e(__('misc.recommended_size'), false); ?> 457x357 px (JPG)</small>
		          </div>
		        </div>

            <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end"><?php echo e(__('misc.color_default'), false); ?></label>
		          <div class="col-sm-10">
                <input type="color" name="color_default" class="form-control form-control-color" value="<?php echo e($settings->color_default, false); ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <div class="col-sm-10 offset-sm-2">
		            <button type="submit" class="btn btn-dark mt-3 px-5"><?php echo e(__('admin.save'), false); ?></button>
		          </div>
		        </div>

		       </form>

				 </div><!-- card-body -->
 			</div><!-- card  -->
 		</div><!-- col-lg-12 -->

	</div><!-- end row -->
</div><!-- end content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/admin/theme.blade.php ENDPATH**/ ?>