<?php $__env->startSection('title'); ?><?php echo e(trans('auth.sign_up').' -', false); ?><?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
  <div class="container-fluid">
        <div class="row">

          <div class="col-sm-6 px-0 d-none d-sm-block bg-auth"></div>

          <div class="col-sm-6 login-section-wrapper">
            <a href="<?php echo e(url('/'), false); ?>" class="mb-4 mb-lg-0 logo-login">
              <img src="<?php echo e(url('public/img', $settings->logo), false); ?>" class="logoMain" alt="logo" width="150">
              <img src="<?php echo e(url('public/img', $settings->logo_light), false); ?>" class="logoLight" alt="logo" width="150">
            </a>
            <div class="login-wrapper my-auto">

              <?php echo $__env->make('errors.errors-forms', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

              <?php if(session('status')): ?>
      						<div class="alert alert-success text-center mt-3">
      							<i class="bi bi-stars me-2"></i> <?php echo e(session('status'), false); ?>

      						</div>
      					<?php endif; ?>

                <?php if($settings->facebook_login == 'on' || $settings->twitter_login == 'on' || $settings->google_login == 'on'): ?>
                <div class="d-flex mb-2">
                  <?php if($settings->facebook_login == 'on'): ?>
            					<div class="w-100 d-block position-relative mb-2 me-2">
            						<a href="<?php echo e(url('oauth/facebook'), false); ?>" class="btn btn-lg btn-facebook w-100">
                          <i class="fab fa-facebook me-1"></i> <span class="d-none d-lg-inline-block">Facebook</span>
                        </a>
            					</div>
            					<?php endif; ?>

                    <?php if($settings->twitter_login == 'on'): ?>
              					<div class="w-100 d-block position-relative mb-2 me-2">
              						<a href="<?php echo e(url('oauth/twitter'), false); ?>" class="btn btn-lg btn-twitter w-100">
                            <i class="bi-twitter-x me-1"></i> <span class="d-none d-lg-inline-block">Twitter</span>
                          </a>
              					</div>
              					<?php endif; ?>

                      <?php if($settings->google_login == 'on'): ?>
                        <div class="w-100 d-block position-relative mb-2">
              						<a href="<?php echo e(url('oauth/google'), false); ?>" class="btn btn-lg btn-google w-100">
                            <img src="<?php echo e(url('public/img/google.svg'), false); ?>" class="me-1" width="18" height="18" /> <span class="d-none d-lg-inline-block">Google</span>
                          </a>
              					</div>
                      <?php endif; ?>

                    </div><!-- d-flex -->

                    <small class="btn-block text-center my-3 text-uppercase or"><?php echo e(trans('misc.or'), false); ?></small>
                  <?php endif; ?>

              <h3 class="login-title"><?php echo e(trans('auth.sign_up'), false); ?></h3>

              <form action="<?php echo e(url('register'), false); ?>" method="post" id="signup_form">

                <input type="hidden" name="_token" value="<?php echo e(csrf_token(), false); ?>">
                <div class="row">

                  <div class="col-md-6">
                   <div class="form-floating mb-3">
                    <input type="text" required class="form-control" id="inputname" value="<?php echo e(old('username'), false); ?>" name="username" placeholder="<?php echo e(trans('auth.username'), false); ?>" autocomplete="off">
                    <label for="inputname"><?php echo e(trans('auth.username'), false); ?></label>
                  </div>
                  </div>

                  <div class="col-md-6">
                    <div class="form-floating mb-3">
                     <input type="email" required class="form-control" id="inputemail" value="<?php echo e(old('email'), false); ?>" name="email" placeholder="<?php echo e(trans('auth.email'), false); ?>" autocomplete="off">
                     <label for="inputemail"><?php echo e(trans('auth.email'), false); ?></label>
                   </div>
                  </div>

               </div><!-- row -->

               <div class="form-floating mb-3">
                <input type="password" minlength="8" required class="form-control showHideInput" id="inputepassword" name="password" placeholder="<?php echo e(trans('auth.password'), false); ?>">
                <label for="inputpassword"><?php echo e(trans('auth.password'), false); ?></label>

                <span class="input-show-password" id="showHidePassword">
                  <i class="far fa-eye-slash"></i>
                </span>
              </div>

              <div class="form-floating mb-3">
               <input type="password" minlength="8" required class="form-control showHideInput" id="inputepassword2" name="password_confirmation" placeholder="<?php echo e(trans('auth.confirm_password'), false); ?>">
               <label for="inputepassword2"><?php echo e(trans('auth.confirm_password'), false); ?></label>
             </div>

              <div class="form-check mb-3">
                <input class="form-check-input" required type="checkbox" name="agree_gdpr" value="1" id="flexCheckDefault" <?php if(old('agree_gdpr')): ?> checked="checked" <?php endif; ?>>
                <label class="form-check-label" for="flexCheckDefault">
                  <?php echo e(trans('admin.i_agree_gdpr'), false); ?>


                  <a href="<?php echo e($settings->link_terms, false); ?>" class="text-decoration-underline" target="_blank"><?php echo e(__('admin.terms_conditions'), false); ?></a>,
                    <a href="<?php echo e($settings->link_privacy, false); ?>" target="_blank" class="text-decoration-underline"><?php echo e(trans('admin.privacy_policy'), false); ?></a>
                </label>
              </div>

              <?php if($settings->captcha == 'on'): ?>
                <?php echo NoCaptcha::displaySubmit('signup_form', __('auth.sign_up'), [
                  'data-size' => 'invisible', 
                  'class' => 'btn w-100 btn-lg btn-custom'
                  ]); ?>

      
                <?php echo NoCaptcha::renderJs(); ?>

              <?php else: ?>

              <button type="submit" id="buttonSubmitRegister" class="btn w-100 btn-lg btn-custom"><?php echo e(trans('auth.sign_up'), false); ?></button>
              <?php endif; ?>

              <?php if($settings->captcha == 'on'): ?>
                <small class="d-block mt-3">
                  <?php echo e(trans('misc.protected_recaptcha'), false); ?>

                  <a href="https://policies.google.com/privacy" target="_blank"><?php echo e(trans('misc.privacy'), false); ?></a> - <a href="https://policies.google.com/terms" target="_blank"><?php echo e(trans('misc.terms'), false); ?></a>
                </small>
              <?php endif; ?>

              </form>

              <?php if($settings->registration_active == 1): ?>
              <p class="login-wrapper-footer-text mt-3">
                <?php echo e(trans('auth.already_have_an_account'), false); ?> <a href="<?php echo e(url('login'), false); ?>" class="text-reset text-decoration-underline"><?php echo e(trans('auth.login'), false); ?></a>
              </p>
            <?php endif; ?>

            </div>
          </div>

        </div>
      </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/auth/register.blade.php ENDPATH**/ ?>