<?php $__env->startSection('title'); ?> <?php echo e(trans('users.account_settings'), false); ?> - <?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<section class="section section-sm">

<div class="container-custom container pt-5">
<div class="row">

  <div class="col-md-3">
    <?php echo $__env->make('users.navbar-settings', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  </div>

			<!-- Col MD -->
		<div class="col-md-9">

			<?php if(session('notification')): ?>
			<div class="alert alert-success alert-dismissible fade show" role="alert">
            	<i class="bi bi-check2 me-1"></i>	<?php echo e(session('notification'), false); ?>


                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                  <i class="bi bi-x-lg"></i>
                </button>
            		</div>
            	<?php endif; ?>

			<?php echo $__env->make('errors.errors-forms', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

      <h5 class="mb-4"><?php echo e(trans('users.account_settings'), false); ?></h5>

		<!-- ***** FORM ***** -->
       <form action="<?php echo e(url('account'), false); ?>" method="post">

        <input type="hidden" name="_token" value="<?php echo e(csrf_token(), false); ?>">

        <div class="row">
        	<div class="col-md-6">
            <div class="form-floating mb-3">
             <input type="text" required class="form-control" id="inputname" value="<?php echo e(auth()->user()->name, false); ?>" name="full_name" placeholder="<?php echo e(trans('misc.full_name_misc'), false); ?>">
             <label for="inputname"><?php echo e(trans('misc.full_name_misc'), false); ?></label>
           </div>
           </div><!-- End Col MD-->

            <div class="col-md-6">
              <div class="form-floating mb-3">
               <input type="email" required class="form-control" id="inputemail" value="<?php echo e(auth()->user()->email, false); ?>" name="email" placeholder="<?php echo e(trans('auth.email'), false); ?>">
               <label for="inputemail"><?php echo e(trans('auth.email'), false); ?></label>
             </div>
            </div><!-- End Col MD-->

        </div><!-- End row -->

			<div class="row">

				<div class="col-md-6">
          <div class="form-floating mb-3">
           <input type="text" required class="form-control" id="inputusername" value="<?php echo e(auth()->user()->username, false); ?>" name="username" placeholder="<?php echo e(trans('misc.username_misc'), false); ?>">
           <label for="inputusername"><?php echo e(trans('misc.username_misc'), false); ?></label>
         </div>
				</div><!-- End Col MD-->

				<div class="col-md-6">

          <div class="form-floating mb-3">
          <select name="countries_id" class="form-select" id="inputSelectCountry">
            <option value=""><?php echo e(trans('misc.select_your_country'), false); ?></option>

            <?php $__currentLoopData = Countries::orderBy('country_name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <option <?php if( auth()->user()->countries_id == $country->id ): ?> selected="selected" <?php endif; ?> value="<?php echo e($country->id, false); ?>"><?php echo e($country->country_name, false); ?></option>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </select>
          <label for="inputSelectCountry"><?php echo e(trans('misc.country'), false); ?></label>
        </div>

				</div><!-- End Col MD-->
			</div><!-- End row -->

      <?php if($settings->who_can_sell == 'all'
          || $settings->who_can_sell == 'admin'
          && auth()->user()->isSuperAdmin()): ?>

      <div class="form-floating">
      <select name="author_exclusive" class="form-select" id="authorExclusive">
        <option <?php if(auth()->user()->author_exclusive == 'yes'): ?> selected="selected" <?php endif; ?> value="yes"><?php echo e(trans('misc.exclusive_author'), false); ?></option>
        <option <?php if(auth()->user()->author_exclusive == 'no'): ?> selected="selected" <?php endif; ?> value="no"><?php echo e(trans('misc.non_exclusive_author'), false); ?></option>
      </select>
      <small class="d-block pb-3 fw-bold mt-1">

        <span id="percentage">
          <?php if(auth()->user()->author_exclusive == 'yes'): ?>
            * <?php echo e(trans('misc.user_gain', ['percentage' => (100 - $settings->fee_commission)]), false); ?>

          <?php else: ?>
            * <?php echo e(trans('misc.user_gain', ['percentage' => (100 - $settings->fee_commission_non_exclusive)]), false); ?>

            <?php endif; ?>
        </span>

        <i class="bi bi-info-circle showTooltip ms-1" title="<?php echo e(trans('misc.earnings_information'), false); ?>"></i>
      </small>
      <label for="authorExclusive"><?php echo e(trans('misc.exclusivity_items'), false); ?></label>
    </div>
  <?php endif; ?>

      <div class="form-floating mb-3">
       <input type="email" class="form-control" id="inputpaypal_account" value="<?php echo e(auth()->user()->paypal_account, false); ?>" name="paypal_account" placeholder="<?php echo e(trans('admin.paypal_account'), false); ?>">
       <label for="inputpaypal_account"><?php echo e(trans('admin.paypal_account'), false); ?></label>
     </div>

       <div class="form-floating mb-3">
        <input type="url" class="form-control" id="input-website_misc" value="<?php echo e(auth()->user()->website, false); ?>" name="website" placeholder="<?php echo e(trans('misc.website_misc'), false); ?>">
        <label for="input-website_misc"><?php echo e(trans('misc.website_misc'), false); ?></label>
      </div>

      <div class="form-floating mb-3">
       <input type="url" class="form-control" id="input-facebook" value="<?php echo e(auth()->user()->facebook, false); ?>" name="facebook" placeholder="Facebook">
       <label for="input-facebook">Facebook (URL)</label>
     </div>

       <div class="form-floating mb-3">
        <input type="url" class="form-control" id="input-twitter" value="<?php echo e(auth()->user()->twitter, false); ?>" name="twitter" placeholder="Twitter">
        <label for="input-twitter">Twitter (URL)</label>
      </div>

      <div class="form-floating mb-3">
       <input type="url" class="form-control" id="input-instagram" value="<?php echo e(auth()->user()->instagram, false); ?>" name="instagram" placeholder="Instagram">
       <label for="input-instagram">Instagram (URL)</label>
     </div>

     <div class="form-floating mb-3">
      <textarea class="form-control" placeholder="<?php echo e(trans('misc.description'), false); ?>" name="description" id="input-description" style="height: 100px"><?php echo e(auth()->user()->bio, false); ?></textarea>
      <label for="input-description"><?php echo e(trans('misc.description'), false); ?></label>
    </div>

    <div class="form-check form-switch form-switch-md mb-3">
      <input class="form-check-input" <?php if(auth()->user()->two_factor_auth == 'yes'): ?> checked <?php endif; ?> name="two_factor_auth" type="checkbox" value="yes" id="flexSwitchCheckDefault">
      <label class="form-check-label" for="flexSwitchCheckDefault"><?php echo e(trans('misc.two_step_auth'), false); ?> <i class="bi bi-info-circle ms-1 text-muted showTooltip" title="<?php echo e(trans('misc.two_step_auth_info'), false); ?>"></i></label>
    </div>

           <button type="submit" id="buttonSubmit" class="btn w-100 btn-lg btn-custom"><?php echo e(trans('misc.save_changes'), false); ?></button>

         <?php if(auth()->id() != 1): ?>
           <div class="d-block text-center mt-3">
           		<a href="<?php echo e(url('account/delete'), false); ?>" class="text-danger"><?php echo e(trans('users.delete_account'), false); ?></a>
           </div>
           <?php endif; ?>
       </form><!-- ***** END FORM ***** -->

  </div><!-- /COL MD -->
  </div><!-- row -->
</div><!-- container -->
</section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
<script type="text/javascript">

$('#authorExclusive').on('change', function() {
  if ($(this).val() == 'yes') {
    $('#percentage').html('* <?php echo e(trans('misc.user_gain', ['percentage' => (100 - $settings->fee_commission)]), false); ?>');

  } else {
      $('#percentage').html('* <?php echo e(trans('misc.user_gain', ['percentage' => (100 - $settings->fee_commission_non_exclusive)]), false); ?>');
  }
});

</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/users/account.blade.php ENDPATH**/ ?>