

<?php $__env->startSection('content'); ?>
	<h5 class="mb-4 fw-light">
    <a class="text-reset" href="<?php echo e(url('panel/admin'), false); ?>"><?php echo e(__('admin.dashboard'), false); ?></a>
      <i class="bi-chevron-right me-1 fs-6"></i>
      <span class="text-muted"><?php echo e(__('admin.storage'), false); ?></span>
  </h5>

<div class="content">
	<div class="row">

		<div class="col-lg-12">

			<?php if(session('success_message')): ?>
      <div class="alert alert-success alert-dismissible fade show" role="alert">
              <i class="bi bi-check2 me-1"></i>	<?php echo e(session('success_message'), false); ?>


                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                  <i class="bi bi-x-lg"></i>
                </button>
                </div>
              <?php endif; ?>

  <?php if(count($errors) > 0): ?>
	<div class="alert alert-danger alert-dismissible fade show" role="alert">
        	<?php echo e(__('auth.error_desc'), false); ?>


            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
              <i class="bi bi-x-lg"></i>
            </button>
        		</div>
					<?php endif; ?>

			<div class="card shadow-custom border-0">
				<div class="card-body p-lg-5">

					 <form method="POST" action="<?php echo e(url('panel/admin/storage'), false); ?>" enctype="multipart/form-data">
						 <?php echo csrf_field(); ?>

		        <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">App URL</label>
		          <div class="col-sm-10">
		            <input  value="<?php echo e(env('APP_URL'), false); ?>" name="APP_URL" type="text" class="form-control <?php $__errorArgs = ['APP_URL'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
								<small class="d-block mt-1"><?php echo e(__('misc.notice_app_url'), false); ?> <strong><?php echo e(url('/'), false); ?></strong></small>
		          </div>
		        </div>

		        <div class="row mb-5">
		          <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(__('misc.disk'), false); ?></label>
		          <div class="col-sm-10">
		            <select name="FILESYSTEM_DRIVER" class="form-select">
									 <option <?php if(env('FILESYSTEM_DRIVER') == 'default'): ?> selected <?php endif; ?> value="default"><?php echo e(__('misc.disk_local'), false); ?></option>
	 								 <option <?php if(env('FILESYSTEM_DRIVER') == 's3'): ?> selected <?php endif; ?> value="s3">Amazon S3</option>
	 								 <option <?php if(env('FILESYSTEM_DRIVER') == 'dospace'): ?> selected <?php endif; ?> value="dospace">DigitalOcean</option>
	 								 <option <?php if(env('FILESYSTEM_DRIVER') == 'wasabi'): ?> selected <?php endif; ?> value="wasabi">Wasabi</option>
									 <option <?php if(env('FILESYSTEM_DRIVER') == 'vultr'): ?> selected <?php endif; ?> value="vultr">Vultr</option>
		           </select>
		          </div>
		        </div>

						<hr />

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Amazon Key</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('AWS_ACCESS_KEY_ID'), false); ?>" name="AWS_ACCESS_KEY_ID" type="text" class="form-control <?php $__errorArgs = ['AWS_ACCESS_KEY_ID'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Amazon Secret</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('AWS_SECRET_ACCESS_KEY'), false); ?>" name="AWS_SECRET_ACCESS_KEY" type="text" class="form-control <?php $__errorArgs = ['AWS_SECRET_ACCESS_KEY'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Amazon Region</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('AWS_DEFAULT_REGION'), false); ?>" name="AWS_DEFAULT_REGION" type="text" class="form-control <?php $__errorArgs = ['AWS_DEFAULT_REGION'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Amazon Bucket</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('AWS_BUCKET'), false); ?>" name="AWS_BUCKET" type="text" class="form-control <?php $__errorArgs = ['AWS_BUCKET'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<hr />

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">DigitalOcean Key</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('DOS_ACCESS_KEY_ID'), false); ?>" name="DOS_ACCESS_KEY_ID" type="text" class="form-control <?php $__errorArgs = ['DOS_ACCESS_KEY_ID'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">DigitalOcean Secret</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('DOS_SECRET_ACCESS_KEY'), false); ?>" name="DOS_SECRET_ACCESS_KEY" type="text" class="form-control <?php $__errorArgs = ['DOS_SECRET_ACCESS_KEY'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">DigitalOcean Region</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('DOS_DEFAULT_REGION'), false); ?>" name="DOS_DEFAULT_REGION" type="text" class="form-control <?php $__errorArgs = ['DOS_DEFAULT_REGION'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">DigitalOcean Bucket</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('DOS_BUCKET'), false); ?>" name="DOS_BUCKET" type="text" class="form-control <?php $__errorArgs = ['DOS_BUCKET'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<hr />

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Wasabi Key</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('WAS_ACCESS_KEY_ID'), false); ?>" name="WAS_ACCESS_KEY_ID" type="text" class="form-control <?php $__errorArgs = ['WAS_ACCESS_KEY_ID'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
								<small class="d-block mt-1"><strong>Important:</strong> Wasabi in trial mode does not allow public files, you must send an email to <strong>support@wasabi.com</strong> to enable public files, or avoid trial mode.</small>
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Wasabi Secret</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('WAS_SECRET_ACCESS_KEY'), false); ?>" name="WAS_SECRET_ACCESS_KEY" type="text" class="form-control <?php $__errorArgs = ['WAS_SECRET_ACCESS_KEY'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Wasabi Region</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('WAS_DEFAULT_REGION'), false); ?>" name="WAS_DEFAULT_REGION" type="text" class="form-control <?php $__errorArgs = ['WAS_DEFAULT_REGION'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Wasabi Bucket</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('WAS_BUCKET'), false); ?>" name="WAS_BUCKET" type="text" class="form-control <?php $__errorArgs = ['WAS_BUCKET'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<hr />

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Vultr Key</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('VULTR_ACCESS_KEY'), false); ?>" name="VULTR_ACCESS_KEY" type="text" class="form-control <?php $__errorArgs = ['VULTR_ACCESS_KEY'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Vultr Secret</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('VULTR_SECRET_KEY'), false); ?>" name="VULTR_SECRET_KEY" type="text" class="form-control <?php $__errorArgs = ['VULTR_SECRET_KEY'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Vultr Region</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('VULTR_REGION'), false); ?>" name="VULTR_REGION" type="text" class="form-control <?php $__errorArgs = ['VULTR_REGION'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end">Vultr Bucket</label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('VULTR_BUCKET'), false); ?>" name="VULTR_BUCKET" type="text" class="form-control <?php $__errorArgs = ['VULTR_BUCKET'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php endif; ?>">
		          </div>
		        </div>

						<div class="row mb-3">
		          <div class="col-sm-10 offset-sm-2">
		            <button type="submit" class="btn btn-dark mt-3 px-5"><?php echo e(__('admin.save'), false); ?></button>
		          </div>
		        </div>

		       </form>

				 </div><!-- card-body -->
 			</div><!-- card  -->
 		</div><!-- col-lg-12 -->

	</div><!-- end row -->
</div><!-- end content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/admin/storage.blade.php ENDPATH**/ ?>