<div class="py-5 py-footer-large bg-dark-2 text-light">
  <footer class="container">
     <div class="row">
        <div class="col-md-3">
           <a href="<?php echo e(url('/'), false); ?>">
           <img src="<?php echo e(url('public/img', $settings->logo_light), false); ?>" width="150">
           </a>
           <?php if($settings->twitter != ''
           ||$settings->facebook != ''
           || $settings->instagram != ''
           || $settings->linkedin != ''
           || $settings->youtube != ''
           || $settings->pinterest != ''): ?>
           <span class="w-100 d-block mb-2"><?php echo e(__('misc.desc_footer_social'), false); ?></span>
           <?php endif; ?>
           <ul class="list-inline list-social">
              <?php if($settings->twitter != ''): ?>
              <li class="list-inline-item"><a href="<?php echo e($settings->twitter, false); ?>" target="_blank" class="ico-social"><i class="bi-twitter-x"></i></a></li>
              <?php endif; ?>
              <?php if($settings->facebook != ''): ?>
              <li class="list-inline-item"><a href="<?php echo e($settings->facebook, false); ?>" target="_blank" class="ico-social"><i class="fab fa-facebook"></i></a></li>
              <?php endif; ?>
              <?php if($settings->instagram != ''): ?>
              <li class="list-inline-item"><a href="<?php echo e($settings->instagram, false); ?>" target="_blank" class="ico-social"><i class="fab fa-instagram"></i></a></li>
              <?php endif; ?>
              <?php if($settings->linkedin != ''): ?>
              <li class="list-inline-item"><a href="<?php echo e($settings->linkedin, false); ?>" target="_blank" class="ico-social"><i class="fab fa-linkedin"></i></a></li>
              <?php endif; ?>
              <?php if($settings->youtube != ''): ?>
              <li class="list-inline-item"><a href="<?php echo e($settings->youtube, false); ?>" target="_blank" class="ico-social"><i class="fab fa-youtube"></i></a></li>
              <?php endif; ?>
              <?php if($settings->pinterest != ''): ?>
              <li class="list-inline-item"><a href="<?php echo e($settings->pinterest, false); ?>" target="_blank" class="ico-social"><i class="fab fa-pinterest"></i></a></li>
              <?php endif; ?>
           </ul>
           <li>
              <div id="installContainer" class="display-none">
                 <button class="btn btn-custom w-100 rounded-pill mb-4" id="butInstall" type="button">
                 <i class="bi-phone mr-1"></i> <?php echo e(__('misc.install_web_app'), false); ?>

                 </button>
              </div>
           </li>
        </div>
        <div class="col-md-3">
           <h6 class="text-uppercase"><?php echo e(__('misc.about'), false); ?></h6>
           <ul class="list-unstyled">
              <?php $__currentLoopData = Helper::pages(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li><a class="text-white text-decoration-none" href="<?php echo e(url('page', $page->slug), false); ?>"><?php echo e($page->title, false); ?></a></li>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              <?php if($settings->link_blog != ''): ?>
              <li><a class="text-white text-decoration-none" target="_blank" href="<?php echo e($settings->link_blog, false); ?>"><?php echo e(__('misc.blog'), false); ?></a></li>
              <?php endif; ?>
              <li><a class="text-white text-decoration-none" href="<?php echo e(url('contact'), false); ?>"><?php echo e(__('misc.contact'), false); ?></a></li>
              </li>
           </ul>
        </div>
        <div class="col-md-3">
           <h6 class="text-uppercase"><?php echo e(__('misc.categories'), false); ?></h6>
           <ul class="list-unstyled">
              <?php $__currentLoopData = $categoriesMain; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li>
                 <a class="text-white text-decoration-none" href="<?php echo e(url('category', $category->slug), false); ?>">
                 <?php echo e(Lang::has('categories.' . $category->slug) ? __('categories.' . $category->slug) : $category->name, false); ?>

                 </a>
              </li>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              <?php if($categoriesCount > 6): ?>
              <li><a class="text-white text-decoration-none arrow" href="<?php echo e(url('categories'), false); ?>"><?php echo e(__('misc.view_all'), false); ?></a></li>
              <?php endif; ?>
           </ul>
        </div>
        <div class="col-md-3">
           <h6 class="text-uppercase"><?php echo e(__('misc.links'), false); ?></h6>
           <ul class="list-unstyled">
              <?php if($settings->sell_option == 'on'): ?>
              <li>
                 <a class="text-white text-decoration-none" href="<?php echo e(url('photos/premium'), false); ?>"><?php echo e(__('misc.premium'), false); ?></a>
              </li>
              <?php endif; ?>
              <li>
                 <a class="text-white text-decoration-none" href="<?php echo e(url('featured'), false); ?>"><?php echo e(__('misc.featured'), false); ?></a>
              </li>
              <li>
                 <a class="text-white text-decoration-none" href="<?php echo e(url('collections'), false); ?>"><?php echo e(__('misc.collections'), false); ?></a>
              </li>
              <?php if(auth()->guard()->guest()): ?>
              <li>
                 <a class="text-white text-decoration-none" href="<?php echo e(url('login'), false); ?>"><?php echo e(__('auth.login'), false); ?></a>
              </li>
              <?php if($settings->registration_active == 1): ?>
              <li>
                 <a class="text-white text-decoration-none" href="<?php echo e(url('register'), false); ?>"><?php echo e(__('auth.sign_up'), false); ?></a>
              </li>
              <?php endif; ?>

              <li class="my-2">
               <a class="text-white text-decoration-none" href="javascript:void(0);" id="switchTheme">
                  <?php if(is_null(request()->cookie('theme'))): ?>

                  <i class="bi-<?php echo e($settings->theme == 'light' ? 'moon-stars' : 'sun', false); ?> me-2"></i> 
                    <?php echo e($settings->theme == 'light' ? __('misc.dark_mode') : __('misc.light_mode'), false); ?>

                        
                    <?php elseif(request()->cookie('theme') == 'light'): ?>
                    <i class="bi-moon-stars me-2"></i> <?php echo e(__('misc.dark_mode'), false); ?>

                    <?php elseif(request()->cookie('theme') == 'dark'): ?>
                     <i class="bi-sun me-2"></i> <?php echo e(__('misc.light_mode'), false); ?>

                    <?php endif; ?>
                </a>
               </li>

              <?php else: ?>
              <?php if(auth()->user()->role): ?>
              <li>
                 <a class="text-white text-decoration-none" href="<?php echo e(url('panel/admin'), false); ?>"><?php echo e(__('admin.admin'), false); ?></a>
              </li>
              <?php endif; ?>
              <li>
                 <a class="text-white text-decoration-none" href="<?php echo e(url(auth()->user()->username), false); ?>"><?php echo e(__('users.my_profile'), false); ?></a>
              </li>
              <li>
                 <a class="text-white text-decoration-none" href="<?php echo e(url('logout'), false); ?>"><?php echo e(__('users.logout'), false); ?></a>
              </li>
              <?php endif; ?>
              <li class="dropdown mt-1">
                 <div class="btn-group dropup">
                    <a class="btn btn-outline-light rounded-pill mt-2 dropdown-toggle px-4" id="dropdownLang" href="javascript:;" data-bs-toggle="dropdown">
                    <i class="fa fa-globe me-1"></i>
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if($language->abbreviation == config('app.locale')): ?>
                    <?php echo e($language->name, false); ?>

                    <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </a>
                    <div class="dropdown-menu dropdown-menu-macos">
                       <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                       <a class="dropdown-item dropdown-lang <?php if($language->abbreviation == config('app.locale')): ?> active  <?php endif; ?>" aria-labelledby="dropdownLang" <?php if($language->abbreviation != config('app.locale')): ?> href="<?php echo e(url('change/lang', $language->abbreviation), false); ?>" <?php endif; ?>>
                       <?php if($language->abbreviation == config('app.locale')): ?>
                       <i class="bi bi-check2 me-1"></i>
                       <?php endif; ?>
                       <?php echo e($language->name, false); ?>

                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                       </a>
                    </div>
                 </div>
                 <!-- dropup -->
              </li>
           </ul>
        </div>
     </div>
  </footer>
</div>
<footer class="py-2 bg-dark-3 text-white">
  <div class="container">
     <div class="row">
        <div class="col-md-12 text-center">
           &copy; <?php echo e(date('Y'), false); ?> - <?php echo e($settings->title, false); ?>, <?php echo e(__('emails.rights_reserved'), false); ?>

        </div>
     </div>
  </div>
</footer><?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/includes/footer.blade.php ENDPATH**/ ?>