<?php $__env->startSection('title'); ?><?php echo e($title, false); ?> -<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!-- *********** COVER ************* -->
    <div class="container-fluid cover-user"
        style="<?php echo e($user->cover ? "background: url('" . Storage::url(config('path.cover') . $user->cover) . "') no-repeat center center #232a29; background-size: cover;" : 'background: #232a29;', false); ?>">

        <?php if(auth()->check() && auth()->id() == $user->id): ?>
            <form style="z-index: 100;" action="<?php echo e(url('upload/cover'), false); ?>" method="POST" id="formCover" accept-charset="UTF-8"
                enctype="multipart/form-data">
                <input type="hidden" name="_token" value="<?php echo e(csrf_token(), false); ?>">
                <button type="button" class="btn-upload-cover" id="cover_file" style="margin-top: 10px;">
                    <i class="bi bi-camera"></i> <span
                        class="d-none d-lg-inline-block ms-1"><?php echo e(trans('misc.change'), false); ?></span>
                </button>
                <input type="file" name="photo" id="uploadCover" accept="image/*" style="visibility: hidden;">
            </form><!-- *********** COVER ************* -->
        <?php endif; ?>
    </div>
    <!-- *********** COVER ************* -->

    <div class="container pb-5 pt-3 mb-5">

        <div class="row">
            <!-- Col MD -->
            <div class="col-md-12 position-relative">

                <div class="text-start">

                    <div class="row user-profile">

                        <div class="col-md-2 text-center">

                            <div class="d-inline-block position-relative">

                                <?php if(auth()->check() && auth()->id() == $user->id): ?>
                                    <form action="<?php echo e(url('upload/avatar'), false); ?>" method="POST" id="formAvatar"
                                        accept-charset="UTF-8" enctype="multipart/form-data">
                                        <input type="hidden" name="_token" value="<?php echo e(csrf_token(), false); ?>">
                                        <button type="button" class="btn-upload-avatar" id="avatar_file">
                                            <i class="bi bi-camera"></i>
                                        </button>
                                        <input type="file" name="photo" id="uploadAvatar" accept="image/*"
                                            style="visibility: hidden;">
                                    </form><!-- *********** AVATAR ************* -->
                                <?php endif; ?>

                                <img class="mb-3 shadow rounded-circle avatar-profile avatarUser profile-user-over"
                                    src="<?php echo e(Storage::url(config('path.avatar') . $user->avatar), false); ?>" width="150"
                                    height="150" />
                            </div>

                        </div>

                        <div class="col-md-10 user-data">

                            <div class="d-block w-100 mb-3">
                                <h1 class="name-user-profile m-0">

                                    <?php echo e($user->name ?: $user->username, false); ?>


                                    <?php if(
                                        ($user->author_exclusive == 'yes' && $settings->who_can_sell == 'all') ||
                                            ($user->author_exclusive == 'yes' && $settings->who_can_sell == 'admin' && $user->isSuperAdmin())): ?>
                                        <small>
                                            <i class="bi bi-gem showTooltip gem-exclusive"
                                                title="<?php echo e(trans('misc.exclusive_author'), false); ?>"></i>
                                        </small>
                                    <?php endif; ?>

                                </h1>
                            </div>

                            <div class="d-block w-100 mb-2">
                                <?php if(auth()->check() && $user->id != auth()->id()): ?>
                                    <button type="button"
                                        class="btn btn-sm <?php if($activeFollow): ?> btn-custom  <?php else: ?> btn-outline-custom <?php endif; ?> btn-follow me-1 btnFollow <?php echo e($activeFollow, false); ?>"
                                        data-id="<?php echo e($user->id, false); ?>" data-follow="<?php echo e(trans('users.follow'), false); ?>"
                                        data-following="<?php echo e(trans('users.following'), false); ?>">
                                        <i class="bi bi<?php echo e($icoFollow, false); ?> me-1"></i> <?php echo e($textFollow, false); ?>

                                    </button>
                                <?php endif; ?>

                                <?php if(
                                    (auth()->check() && $user->id != auth()->id() && $user->paypal_account != '') ||
                                        (auth()->guest() && $user->paypal_account != '')): ?>
                                    <button type="button"
                                        class="btn btn-sm bg-white border e-none btn-category showTooltip" id="btnFormPP"
                                        id="btnFormPP" title="<?php echo e(trans('misc.buy_coffee'), false); ?>">
                                        <i class="bi bi-paypal" style="color: #003087"></i> <?php if(auth()->guard()->guest()): ?>
                                        <?php echo e(trans('misc.coffee'), false); ?> <?php endif; ?>
                                    </button>
                                <?php endif; ?>

                                <?php if(auth()->check() && $user->id != auth()->id()): ?>
                                    <a href="#" class="btn btn-sm bg-white border e-none btn-category"
                                        data-bs-toggle="modal" data-bs-target="#reportUser"
                                        title="<?php echo e(trans('misc.report'), false); ?>">
                                        <i class="bi bi-flag"></i>
                                    </a>
                                <?php endif; ?>

                                <a href="javascript:void(0);" class="btn btn-sm bg-white border e-none btn-category showTooltip" title="<?php echo e(trans('misc.share'), false); ?>" id="shareBtn">
                                    <i class="bi-box-arrow-up"></i>
                                </a>
                            </div>

                            <?php if($user->countries_id != ''): ?>
                                <div class="d-block w-100 mb-2">
                                    <small>
                                        <i class="bi bi-geo-alt me-1"></i> <?php echo e($user->country()->country_name, false); ?>

                                    </small>
                                </div>
                            <?php endif; ?>

                            <?php if($user->bio != ''): ?>
                                <div class="d-block w-100 mb-2">
                                    <p class="text-break m-0"><?php echo e(e($user->bio), false); ?></p>
                                </div>
                            <?php endif; ?>

                            <?php if($user->website != '' || $user->twitter != '' || $user->facebook != ''): ?>
                                <div class="d-block w-100 mb-2">

                                    <?php if($user->website != ''): ?>
                                        <a target="_blank" href="<?php echo e($user->website, false); ?>"
                                            title="<?php echo e(trans('misc.website_misc'), false); ?>" class="text-muted fs-5 showTooltip">
                                            <i class="fa fa-link me-2"></i>
                                        </a>
                                    <?php endif; ?>

                                    <?php if($user->twitter != ''): ?>
                                        <a target="_blank" href="<?php echo e($user->twitter, false); ?>" title="Twitter"
                                            class="text-muted fs-5 showTooltip">
                                            <i class="bi-twitter-x me-2"></i>
                                        </a>
                                    <?php endif; ?>

                                    <?php if($user->facebook != ''): ?>
                                        <a target="_blank" href="<?php echo e($user->facebook, false); ?>" title="Facebook"
                                            class="text-muted fs-5 showTooltip">
                                            <i class="fab fa-facebook me-2"></i>
                                        </a>
                                    <?php endif; ?>

                                    <?php if($user->instagram != ''): ?>
                                        <a target="_blank" href="<?php echo e($user->instagram, false); ?>" title="Instagram"
                                            class="text-muted fs-5 showTooltip">
                                            <i class="fab fa-instagram"></i>
                                        </a>
                                    <?php endif; ?>

                                </div>
                            <?php endif; ?>

                        </div><!-- col-6 -->

                    </div><!-- row -->

                    <ul class="nav pb-3 mb-4 nav-fill mt-5" id="navProfile">

                        <li class="nav-item">
                            <a href="<?php echo e(url($user->username), false); ?>"
                                class="text-muted ps-0 nav-link link-profile <?php if(request()->is($user->username)): ?> active <?php endif; ?>">
                                <i class="bi bi-image me-1 d-none d-lg-inline-block"></i> <?php echo e(trans('misc.images'), false); ?> <span
                                    class="d-none d-lg-inline-block"><?php echo e(Helper::formatNumber($user->images_count), false); ?></span>
                            </a>
                        </li><!-- End Li -->

                        <li class="nav-item">
                            <a href="<?php echo e(url($user->username, 'followers'), false); ?>"
                                class="text-muted nav-link link-profile <?php if(request()->is($user->username . '/followers')): ?> active <?php endif; ?>">
                                <i class="bi bi-people me-1 d-none d-lg-inline-block"></i> <?php echo e(trans('users.followers'), false); ?>

                                <span
                                    class="d-none d-lg-inline-block"><?php echo e(Helper::formatNumber($user->followers_count), false); ?></span>
                            </a>
                        </li><!-- End Li -->

                        <li class="nav-item">
                            <a href="<?php echo e(url($user->username, 'following'), false); ?>"
                                class="text-muted nav-link link-profile <?php if(request()->is($user->username . '/following')): ?> active <?php endif; ?>">
                                <i class="bi bi-person me-1 d-none d-lg-inline-block"></i> <?php echo e(trans('users.following'), false); ?>

                                <span
                                    class="d-none d-lg-inline-block"><?php echo e(Helper::formatNumber($user->following_count), false); ?></span>
                            </a>
                        </li><!-- End Li -->

                        <li class="nav-item">
                            <a href="<?php echo e(url($user->username, 'collections'), false); ?>"
                                class="text-muted nav-link link-profile pe-0 <?php if(request()->is($user->username . '/collections')): ?> active <?php endif; ?>">
                                <i class="bi bi-collection me-1 d-none d-lg-inline-block"></i>
                                <?php echo e(trans('misc.collections'), false); ?> <span
                                    class="d-none d-lg-inline-block"><?php echo e(Helper::formatNumber($user->collections_count), false); ?></span>
                            </a>
                        </li><!-- End Li -->
                    </ul>

                </div><!-- Center Div -->

                <?php if(isset($images) && $images->total() != 0): ?>
                    <div class="dataResult">
                        <?php echo $__env->make('includes.images', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <?php echo $__env->make('includes.pagination-links', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                <?php elseif(isset($followers) && $followers->count() != 0): ?>
                    <div class="row dataResult">
                        <?php echo $__env->make('includes.users', ['users' => $followers], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                <?php elseif(isset($following) && $following->count() != 0): ?>
                    <div class="row dataResult">
                        <?php echo $__env->make('includes.users', ['users' => $following], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                <?php elseif(isset($collections) && $collections->count() != 0): ?>
                    <div class="row dataResult">
                        <?php echo $__env->make('includes.collections-grid', ['data' => $collections], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                <?php else: ?>
                    <h5 class="mt-0 fw-light text-center">
                        <span class="w-100 d-block mb-2 display-1 text-muted">
                            <i class="bi bi-exclamation-circle"></i>
                        </span>

                        <?php echo e(trans('misc.no_results_found'), false); ?>

                    </h5>
                <?php endif; ?>
            </div><!-- /COL MD -->
        </div><!-- row -->
    </div><!-- container -->


    <?php if(
        (auth()->check() && $user->id != auth()->id() && $user->paypal_account != '') ||
            (auth()->guest() && $user->paypal_account != '')): ?>
        <form id="form_pp" name="_xclick" action="https://www.paypal.com/cgi-bin/webscr" method="post"
            style="display:none">
            <input type="hidden" name="cmd" value="_donations">
            <input type="hidden" name="return" value="<?php echo e(url($user->username), false); ?>">
            <input type="hidden" name="cancel_return" value="<?php echo e(url($user->username), false); ?>">
            <input type="hidden" name="currency_code" value="USD">
            <input type="hidden" name="item_name"
                value="<?php echo e(trans('misc.support') . ' @' . $user->username, false); ?> - <?php echo e($settings->title, false); ?>">
            <input type="hidden" name="business" value="<?php echo e($user->paypal_account, false); ?>">
            <input type="submit">
        </form>
    <?php endif; ?>

    <?php if(auth()->guard()->check()): ?>
        <div class="modal fade" id="reportUser" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-sm">
                <div class="modal-content">
                    <div class="modal-header border-0">
                        <h5 class="modal-title text-center" id="myModalLabel">
                            <strong><?php echo e(trans('misc.report'), false); ?></strong>
                        </h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div><!-- Modal header -->

                    <div class="modal-body">

                        <!-- form start -->
                        <form method="POST" action="<?php echo e(url('report/user'), false); ?>" enctype="multipart/form-data"
                            id="formReport">
                            <input type="hidden" name="_token" value="<?php echo e(csrf_token(), false); ?>">
                            <input type="hidden" name="id" value="<?php echo e($user->id, false); ?>">

                            <div class="form-floating mb-3">
                                <select name="reason" class="form-select" id="input-reason">
                                    <option value="spoofing"><?php echo e(trans('admin.spoofing'), false); ?></option>
                                    <option value="copyright"><?php echo e(trans('admin.copyright'), false); ?></option>
                                    <option value="privacy_issue"><?php echo e(trans('admin.privacy_issue'), false); ?></option>
                                    <option value="violent_sexual_content"><?php echo e(trans('admin.violent_sexual_content'), false); ?>

                                    </option>
                                </select>
                                <label for="input-reason"><?php echo e(trans('admin.reason'), false); ?></label>
                            </div>

                            <button type="submit"
                                class="btn btn-custom float-end reportUser"><?php echo e(trans('misc.report'), false); ?></button>

                        </form>

                    </div><!-- Modal body -->
                </div><!-- Modal content -->
            </div><!-- Modal dialog -->
        </div><!-- Modal -->
    <?php endif; ?>

    <!-- container wrap-ui -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
    <script type="text/javascript">
        $('#imagesFlex').flexImages({
            rowHeight: 320
        });

        let share = document.querySelector('#shareBtn');

        if (share) {
            share.addEventListener('click', event => {
                // Fallback, Tries to use API only
                // if navigator.share function is
                // available
                if (navigator.share) {
                    navigator.share({
                        // Title that occurs over
                        // web share dialog
                        title: "<?php echo e($user->name ?: $user->username, false); ?>",
                        // URL to share
                        url: "<?php echo e(url($user->username), false); ?>"
                    })
                } else {
                    // Alerts user if API not available 
                    alert("Browser doesn't support this API !");
                }
            });
        }

        $('#btnFormPP').click(function(e) {
            $('#form_pp').submit();
        });

        <?php if(auth()->check()): ?>

            $(".reportUser").click(function(e) {
                var element = $(this);
                e.preventDefault();
                element.attr({
                    'disabled': 'true'
                });

                $('#formReport').submit();

            });

            <?php if(session('noty_error')): ?>
                swal({
                    title: "<?php echo e(trans('misc.error_oops'), false); ?>",
                    text: "<?php echo e(trans('misc.already_sent_report'), false); ?>",
                    type: "error",
                    confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
                });
            <?php endif; ?>

            <?php if(session('noty_success')): ?>
                swal({
                    title: "<?php echo e(trans('misc.thanks'), false); ?>",
                    text: "<?php echo e(trans('misc.send_success'), false); ?>",
                    type: "success",
                    confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
                });
            <?php endif; ?>
        <?php endif; ?>

        <?php if(auth()->check() && auth()->id() == $user->id): ?>

            //<<<<<<<=================== * UPLOAD AVATAR  * ===============>>>>>>>//
            $(document).on('change', '#uploadAvatar', function() {

                $('.wrap-loader').show();
                $('#progress').show();

                (function() {
                    var bar = $('.progress-bar');
                    var percent = $('.percent');
                    var percentVal = '0%';

                    $("#formAvatar").ajaxForm({
                        dataType: 'json',
                        error: function error(responseText, statusText, xhr, $form) {
                            $('.wrap-loader').hide();
                            $('#progress').hide();
                            bar.width(percentVal);
                            percent.html(percentVal);
                            $('#uploadAvatar').val('');
                            $('.popout').addClass('popout-error').html(
                                '<?php echo e(trans('misc.error'), false); ?> (' + xhr + ')').fadeIn('500').delay(
                                '5000').fadeOut('500');
                        },
                        beforeSend: function() {
                            bar.width(percentVal);
                            percent.html(percentVal);
                        },
                        uploadProgress: function(event, position, total, percentComplete) {
                            var percentVal = percentComplete + '%';
                            bar.width(percentVal);
                            percent.html(percentVal);

                            if (percentComplete == 100) {
                                percent.html(
                                    '<span class="spinner-border spinner-custom-md mr-2"></span> <?php echo e(trans('misc.processing'), false); ?>'
                                    );
                            }
                        },
                        success: function(e) {
                            if (e) {
                                if (e.success == false) {
                                    $('.wrap-loader').hide();
                                    $('#progress').hide();
                                    bar.width(percentVal);
                                    percent.html(percentVal);

                                    var error = '';
                                    for ($key in e.errors) {
                                        error += '' + e.errors[$key] + '';
                                    }
                                    swal({
                                        title: "<?php echo e(trans('misc.error_oops'), false); ?>",
                                        text: "" + error + "",
                                        type: "error",
                                        confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
                                    });

                                    $('#uploadAvatar').val('');

                                } else {

                                    $('#uploadAvatar').val('');
                                    $('.avatarUser').attr('src', e.avatar);
                                    $('.wrap-loader').hide();
                                    $('#progress').hide();
                                    bar.width(percentVal);
                                    percent.html(percentVal);
                                }

                            } //<-- e
                            else {
                                $('.wrap-loader').hide();
                                $('#progress').hide();
                                bar.width(percentVal);
                                percent.html(percentVal);

                                swal({
                                    title: "<?php echo e(trans('misc.error_oops'), false); ?>",
                                    text: '<?php echo e(trans('misc.error'), false); ?>',
                                    type: "error",
                                    confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
                                });

                                $('#uploadAvatar').val('');
                            }
                        } //<----- SUCCESS
                    }).submit();
                })(); //<--- FUNCTION %
            }); //<<<<<<<--- * ON * --->>>>>>>>>>>
            //<<<<<<<=================== * UPLOAD AVATAR  * ===============>>>>>>>//

            //<<<<<<<=================== * UPLOAD COVER  * ===============>>>>>>>//
            $(document).on('change', '#uploadCover', function() {

                $('.wrap-loader').show();
                $('#progress').show();

                (function() {

                    var bar = $('.progress-bar');
                    var percent = $('.percent');
                    var percentVal = '0%';

                    $("#formCover").ajaxForm({
                        dataType: 'json',
                        error: function error(responseText, statusText, xhr, $form) {
                            $('.wrap-loader').hide();
                            $('#uploadCover').val('');
                            $('.popout').addClass('popout-error').html(
                                '<?php echo e(trans('misc.error'), false); ?> (' + xhr + ')').fadeIn('500').delay(
                                '5000').fadeOut('500');

                            $('#progress').hide();
                            bar.width(percentVal);
                            percent.html(percentVal);
                        },

                        beforeSend: function() {
                            bar.width(percentVal);
                            percent.html(percentVal);
                        },
                        uploadProgress: function(event, position, total, percentComplete) {
                            var percentVal = percentComplete + '%';
                            bar.width(percentVal);
                            percent.html(percentVal);

                            if (percentComplete == 100) {
                                percent.html(
                                    '<span class="spinner-border spinner-custom-md mr-2"></span> <?php echo e(trans('misc.processing'), false); ?>'
                                    );
                            }
                        },
                        success: function(e) {
                            if (e) {
                                if (e.success == false) {

                                    $('.wrap-loader').hide();
                                    $('#progress').hide();
                                    bar.width(percentVal);
                                    percent.html(percentVal);

                                    var error = '';
                                    for ($key in e.errors) {
                                        error += '' + e.errors[$key] + '';
                                    }
                                    swal({
                                        title: "<?php echo e(trans('misc.error_oops'), false); ?>",
                                        text: "" + error + "",
                                        type: "error",
                                        confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
                                    });

                                    $('#uploadCover').val('');

                                } else {

                                    $('#uploadCover').val('');

                                    $('.cover-user').css({
                                        background: 'url("' + e.cover +
                                            '") center center #232a29',
                                        'background-size': 'cover'
                                    });;
                                    $('.wrap-loader').hide();
                                    $('#progress').hide();
                                    bar.width(percentVal);
                                    percent.html(percentVal);
                                }

                            } //<-- e
                            else {
                                $('.wrap-loader').hide();
                                $('#progress').hide();
                                bar.width(percentVal);
                                percent.html(percentVal);

                                swal({
                                    title: "<?php echo e(trans('misc.error_oops'), false); ?>",
                                    text: '<?php echo e(trans('misc.error'), false); ?>',
                                    type: "error",
                                    confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
                                });

                                $('#uploadCover').val('');
                            }
                        } //<----- SUCCESS
                    }).submit();
                })(); //<--- FUNCTION %
            }); //<<<<<<<--- * ON * --->>>>>>>>>>>
            //<<<<<<<=================== * UPLOAD COVER  * ===============>>>>>>>//
        <?php endif; ?>
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/users/profile.blade.php ENDPATH**/ ?>