

<?php $__env->startSection('css'); ?>
<link href="<?php echo e(asset('public/js/select2/select2.min.css'), false); ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo e(asset('public/js/select2/select2-bootstrap-5-theme.min.css'), false); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
	<h5 class="mb-4 fw-light">
    <a class="text-reset" href="<?php echo e(url('panel/admin'), false); ?>"><?php echo e(__('admin.dashboard'), false); ?></a>
      <i class="bi-chevron-right me-1 fs-6"></i>
      <span class="text-muted"><?php echo e(__('admin.email_settings'), false); ?></span>
  </h5>

<div class="content">
	<div class="row">

		<div class="col-lg-12">

			<?php if(session('success_message')): ?>
      <div class="alert alert-success alert-dismissible fade show" role="alert">
              <i class="bi bi-check2 me-1"></i>	<?php echo e(session('success_message'), false); ?>


                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                  <i class="bi bi-x-lg"></i>
                </button>
                </div>
              <?php endif; ?>

              <?php echo $__env->make('errors.errors-forms', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

			<div class="card shadow-custom border-0">
				<div class="card-body p-lg-5">

					 <form method="POST" action="<?php echo e(url('panel/admin/settings/email'), false); ?>" enctype="multipart/form-data">
						 <?php echo csrf_field(); ?>

		        <div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end"><?php echo e(trans('admin.email_admin'), false); ?></label>
		          <div class="col-sm-10">
		            <input value="<?php echo e($settings->email_admin, false); ?>" name="email_admin" type="email" class="form-control">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end"><?php echo e(trans('admin.email_no_reply'), false); ?></label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('MAIL_FROM_ADDRESS'), false); ?>" name="MAIL_FROM_ADDRESS" type="email" class="form-control">
		          </div>
		        </div>

		        <div class="row mb-3">
		          <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(trans('misc.email_driver'), false); ?></label>
		          <div class="col-sm-10">
		            <select name="MAIL_MAILER" class="form-select">
									<option <?php if(env('MAIL_MAILER') == 'sendmail'): ?> selected <?php endif; ?> value="sendmail">Sendmail</option>
	 								<option <?php if(env('MAIL_MAILER') == 'smtp'): ?> selected <?php endif; ?> value="smtp">SMTP</option>
	 								<option <?php if(env('MAIL_MAILER') == 'log'): ?> selected <?php endif; ?> value="log">Log</option>
		           </select>
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end"><?php echo e(trans('misc.host'), false); ?></label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('MAIL_HOST'), false); ?>" name="MAIL_HOST" type="text" class="form-control">
		          </div>
		        </div>

						<div class="row mb-3">
							<label class="col-sm-2 col-form-label text-lg-end"><?php echo e(trans('misc.port'), false); ?></label>
							<div class="col-sm-10">
								<input value="<?php echo e(env('MAIL_PORT'), false); ?>" name="MAIL_PORT" type="text" class="form-control">
							</div>
						</div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-label text-lg-end"><?php echo e(trans('auth.username'), false); ?></label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('MAIL_USERNAME'), false); ?>" name="MAIL_USERNAME" type="text" class="form-control">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(trans('auth.password'), false); ?></label>
		          <div class="col-sm-10">
		            <input value="<?php echo e(env('MAIL_PASSWORD'), false); ?>" name="MAIL_PASSWORD" type="password" class="form-control" id="inputPassword3">
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(trans('misc.encryption'), false); ?></label>
		          <div class="col-sm-10">
		            <select name="MAIL_ENCRYPTION" class="form-select">
									<option <?php if(env('MAIL_ENCRYPTION') == ''): ?> selected <?php endif; ?> value=""><?php echo e(trans('misc.none'), false); ?></option>
									<option <?php if(env('MAIL_ENCRYPTION') == 'tls'): ?> selected <?php endif; ?> value="tls">TLS</option>
									<option <?php if(env('MAIL_ENCRYPTION') == 'ssl'): ?> selected <?php endif; ?> value="ssl">SSL</option>
		           </select>
		          </div>
		        </div>

						<div class="row mb-3">
		          <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(trans('misc.default_timezone'), false); ?></label>
		          <div class="col-sm-10">
		            <select name="TIMEZONE" class="form-select select">
									<?php echo $__env->make('includes.timezone', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
		           </select>
		          </div>
		        </div>

						<div class="row mb-3">
		          <div class="col-sm-10 offset-sm-2">
		            <button type="submit" class="btn btn-dark mt-3 px-5"><?php echo e(__('admin.save'), false); ?></button>
		          </div>
		        </div>

		       </form>

				 </div><!-- card-body -->
 			</div><!-- card  -->
 		</div><!-- col-lg-12 -->

	</div><!-- end row -->
</div><!-- end content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/admin/email-settings.blade.php ENDPATH**/ ?>