

<?php $__env->startSection('content'); ?>
	<h5 class="mb-4 fw-light">
    <a class="text-reset" href="<?php echo e(url('panel/admin'), false); ?>"><?php echo e(__('admin.dashboard'), false); ?></a>
      <i class="bi-chevron-right me-1 fs-6"></i>
      <span class="text-muted"><?php echo e(__('admin.general_settings'), false); ?></span>
  </h5>

<div class="content">
	<div class="row">

		<div class="col-lg-12">

      <?php if(session('success_message')): ?>
      <div class="alert alert-success alert-dismissible fade show" role="alert">
              <i class="bi bi-check2 me-1"></i>	<?php echo e(session('success_message'), false); ?>


                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                  <i class="bi bi-x-lg"></i>
                </button>
                </div>
              <?php endif; ?>

              <?php echo $__env->make('errors.errors-forms', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

			<div class="card shadow-custom border-0">
				<div class="card-body p-lg-5">

      <form method="POST" action="<?php echo e(url('panel/admin/settings'), false); ?>" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>

       <div class="row mb-3">
         <label class="col-sm-2 col-form-label text-lg-end"><?php echo e(__('admin.name_site'), false); ?></label>
         <div class="col-sm-10">
           <input type="text" value="<?php echo e($settings->title, false); ?>" name="title" class="form-control">
         </div>
       </div><!-- end row -->

       <div class="row mb-3">
         <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(__('admin.link_terms'), false); ?></label>
         <div class="col-sm-10">
           <input type="text" value="<?php echo e($settings->link_terms, false); ?>" name="link_terms" class="form-control">
         </div>
       </div><!-- end row -->

       <div class="row mb-3">
         <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(__('admin.link_privacy'), false); ?></label>
         <div class="col-sm-10">
           <input type="text" value="<?php echo e($settings->link_privacy, false); ?>" name="link_privacy" class="form-control">
           <small class="d-block"></small>
         </div>
       </div><!-- end row -->

       <div class="row mb-3">
         <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(__('misc.link_license'), false); ?></label>
         <div class="col-sm-10">
           <input type="text" value="<?php echo e($settings->link_license, false); ?>" name="link_license" class="form-control">
         </div>
       </div><!-- end row -->

			 <div class="row mb-3">
         <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(__('misc.link_blog'), false); ?></label>
         <div class="col-sm-10">
           <input type="text" value="<?php echo e($settings->link_blog, false); ?>" name="link_blog" class="form-control" placeholder="https://blog.wordpress.com">
         </div>
       </div><!-- end row -->

			 <div class="row mb-3">
				 <label class="col-sm-2 col-form-labe text-lg-end"><?php echo e(__('misc.default_language'), false); ?></label>
				 <div class="col-sm-10">
					 <select name="default_language" class="form-select">
						 <?php $__currentLoopData = Languages::orderBy('name')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
 							<option <?php if($language->abbreviation == env('DEFAULT_LOCALE')): ?> selected="selected" <?php endif; ?> value="<?php echo e($language->abbreviation, false); ?>"><?php echo e($language->name, false); ?></option>
 						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					</select>
					<small class="d-block"><?php echo e(__('misc.default_language_info'), false); ?></small>
				 </div>
			 </div>

       <fieldset class="row mb-3">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.sell_option'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check">
             <input class="form-check-input" type="radio" name="sell_option" id="radio1" <?php if($settings->sell_option == 'on'): ?> checked="checked" <?php endif; ?> value="on">
             <label class="form-check-label" for="radio1">
               On (<?php echo e(__('misc.members_can_sell'), false); ?>)
             </label>
           </div>
           <div class="form-check">
             <input class="form-check-input" type="radio" name="sell_option" id="radio2" <?php if($settings->sell_option == 'off'): ?> checked="checked" <?php endif; ?> value="off">
             <label class="form-check-label" for="radio2">
               Off (<?php echo e(__('misc.members_cant_sell'), false); ?>)
             </label>
           </div>
           <div class="alert alert-info py-2 mb-0">
            <i class="bi-info-circle me-2"></i> <?php echo e(__('misc.notice_sell_option'), false); ?>

           </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-3">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.who_can_sell'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check">
             <input class="form-check-input" type="radio" name="who_can_sell" id="radio3" <?php if($settings->who_can_sell == 'all'): ?> checked="checked" <?php endif; ?> value="all">
             <label class="form-check-label" for="radio3">
               <?php echo e(__('misc.all_members'), false); ?>

             </label>
           </div>
           <div class="form-check">
             <input class="form-check-input" type="radio" name="who_can_sell" id="radio4" <?php if($settings->who_can_sell == 'admin'): ?> checked="checked" <?php endif; ?> value="admin">
             <label class="form-check-label" for="radio4">
               <?php echo e(__('misc.only_admin'), false); ?>

             </label>
           </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-3">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.who_can_upload'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check">
             <input class="form-check-input" type="radio" name="who_can_upload" id="radio8" <?php if($settings->who_can_upload == 'all'): ?> checked="checked" <?php endif; ?> value="all">
             <label class="form-check-label" for="radio8">
               <?php echo e(__('misc.all_members'), false); ?>

             </label>
           </div>
           <div class="form-check">
             <input class="form-check-input" type="radio" name="who_can_upload" id="radio9" <?php if($settings->who_can_upload == 'admin'): ?> checked="checked" <?php endif; ?> value="admin">
             <label class="form-check-label" for="radio9">
               <?php echo e(__('misc.only_admin'), false); ?>

             </label>
           </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-3">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('admin.show_images_index'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check">
             <input class="form-check-input" type="radio" name="show_images_index" id="radio5" <?php if($settings->show_images_index == 'latest'): ?> checked="checked" <?php endif; ?> value="latest">
             <label class="form-check-label" for="radio5">
               <?php echo e(__('misc.latest'), false); ?>

             </label>
           </div>
           <div class="form-check">
             <input class="form-check-input" type="radio" name="show_images_index" id="radio6" <?php if($settings->show_images_index == 'featured'): ?> checked="checked" <?php endif; ?> value="featured">
             <label class="form-check-label" for="radio6">
               <?php echo e(__('misc.featured'), false); ?>

             </label>
           </div>
           <div class="form-check">
            <input class="form-check-input" type="radio" name="show_images_index" id="radioBoth" <?php if($settings->show_images_index == 'both'): ?> checked="checked" <?php endif; ?> value="both">
            <label class="form-check-label" for="radioBoth">
              <?php echo e(__('admin.both'), false); ?>

            </label>
          </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-3">
        <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.default_theme'), false); ?></legend>
        <div class="col-sm-10">
          <div class="form-check">
            <input class="form-check-input" type="radio" name="theme" id="light_mode" <?php if($settings->theme == 'light'): ?> checked="checked" <?php endif; ?> value="light">
            <label class="form-check-label" for="light_mode">
              <?php echo e(__('misc.light_mode'), false); ?>

            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="theme" id="dark_mode" <?php if($settings->theme == 'dark'): ?> checked="checked" <?php endif; ?> value="dark">
            <label class="form-check-label" for="dark_mode">
              <?php echo e(__('misc.dark_mode'), false); ?>

            </label>
          </div>
        </div>
      </fieldset><!-- end row -->

       <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('admin.email_verification'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="email_verification" <?php if($settings->email_verification == '1'): ?> checked="checked" <?php endif; ?> value="1" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end">Captcha</legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="captcha" <?php if($settings->captcha == 'on'): ?> checked="checked" <?php endif; ?> value="1" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('admin.new_registrations'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="registration_active" <?php if($settings->registration_active == '1'): ?> checked="checked" <?php endif; ?> value="1" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('admin.show_watermark'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="show_watermark" <?php if($settings->show_watermark == '1'): ?> checked="checked" <?php endif; ?> value="1" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.allow_free_photos'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="free_photo_upload" <?php if($settings->free_photo_upload == 'on'): ?> checked="checked" <?php endif; ?> value="on" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.show_counter'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="show_counter" <?php if($settings->show_counter == 'on'): ?> checked="checked" <?php endif; ?> value="on" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.show_categories_index'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="show_categories_index" <?php if($settings->show_categories_index == 'on'): ?> checked="checked" <?php endif; ?> value="on" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('admin.google_ads_index'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="google_ads_index" <?php if($settings->google_ads_index == 'on'): ?> checked="checked" <?php endif; ?> value="on" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

			 <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.referral_system'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="referral_system" <?php if($settings->referral_system == 'on'): ?> checked="checked" <?php endif; ?> value="on" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

			 <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.comment_system'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="comments" <?php if($settings->comments): ?> checked="checked" <?php endif; ?> value="1" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

       <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end">Lightbox</legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="lightbox" <?php if($settings->lightbox == 'on'): ?> checked="checked" <?php endif; ?> value="on" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

			 <fieldset class="row mb-4">
         <legend class="col-form-label col-sm-2 pt-0 text-lg-end"><?php echo e(__('misc.cookie_policy_banner'), false); ?></legend>
         <div class="col-sm-10">
           <div class="form-check form-switch form-switch-md">
            <input class="form-check-input" type="checkbox" name="banner_cookies" <?php if($settings->banner_cookies): ?> checked="checked" <?php endif; ?> value="1" role="switch">
          </div>
         </div>
       </fieldset><!-- end row -->

       <div class="row mb-3">
         <div class="col-sm-10 offset-sm-2">
           <button type="submit" class="btn btn-dark mt-3 px-5"><?php echo e(__('admin.save'), false); ?></button>
         </div>
       </div>

      </form>

        </div><!-- card-body -->
			</div><!-- card  -->
		</div><!-- col-lg-12 -->

	</div><!-- end row -->
</div><!-- end content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/aistocky.com/resources/views/admin/settings.blade.php ENDPATH**/ ?>